=== debian/changelog ===
gt4f90io-g95 (20070305+20070330) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Apr 2007 02:45:06 +0900
