## gt4f90io-g95 20070305+20070412

=== debian/changelog ===
gt4f90io-g95 (20070305+20070412) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Apr 2007 02:45:05 +0900
