=== doc/tutorial/Makefile ===
#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Makefile for gt4f90io documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.4 2006/10/25 12:46:20 morikawa Exp $
# Tag Name::  $Name: gt4f90io-20070417 $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2006. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
######################################################################
#
#== Settings

INCLUDEFILE = ../../Config.mk
include $(INCLUDEFILE)

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC)/tutorial || $(INSTALLDIR) $(DEST_DOC)/tutorial
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC)/tutorial

clean:

clean.all: clean-rd2html

clean-rd2html:
	$(MAKE) clean.all -f Makefile.rd2html
