=== debian/changelog ===
gt4f90io-g95 (20070417+20070418) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Apr 2007 02:45:05 +0900
