=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.19 2006/12/17 08:17:40 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070417 $
+# Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070427 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -64,7 +64,7 @@
 	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
 	    for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
-	      MKDIR=$(MKDIR) \
+	      MKDIR=$(MKDIR) MAKE=$(MAKE) \
 		 sh $$i.sh || \
 	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
 	    done ;\
@@ -87,7 +87,7 @@
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	-@for i in $(TARGETS_DC) $(TARGETS) ; do  \
 	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
-	      MKDIR=$(MKDIR) \
+	      MKDIR=$(MKDIR) MAKE=$(MAKE) \
 		 sh $$i.sh || \
 	     echo "  $$i.sh: Error (continue mandatorily)";\
 	done
@@ -96,7 +96,7 @@
 	@test -n "$(NCDUMP)" || \
 	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
 	@for i in $(TARGETS) ; do  \
-	  CROSS_COMPILING=$(CROSS_COMPILING) sh $$i.sh || exit 1; \
+	  CROSS_COMPILING=$(CROSS_COMPILING) MAKE=$(MAKE) sh $$i.sh || exit 1; \
 	done
 	@echo ""
 	@echo "   **** All Tests were Successful ****"
