=== debian/changelog ===
gt4f90io-g95 (20070427+20070524) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 May 2007 02:45:05 +0900
