## gt4f90io-g95 20070427+20070604

=== debian/changelog ===
gt4f90io-g95 (20070427+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Jun 2007 02:45:04 +0900
