## gt4f90io-g95 20070615+20070604

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io top directory
 #
 # Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
-# Version::   $Id: Makefile,v 1.9 2006/06/11 06:03:45 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Version::   $Id: Makefile,v 1.10 2007/06/12 17:03:00 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:COPYRIGHT]
 #
@@ -63,8 +63,10 @@
 	cd test; $(MAKE) $@
 
 distclean: clean
-	-rm -f config.status chkfort.cfg chkgmake.cfg
-	-rm -f config.cache config.log Config.mk
+	-$(RM) -f config.status chkfort.cfg chkgmake.cfg
+	-$(RM) -f config.cache config.log Config.mk
+	-$(RM) -f autom4te.cache/*
+	-$(RMDIR) autom4te.cache
 	@echo ""
 	@echo "    Removing Config.mk,"
 	@echo "      you should rerun ./configure to build gt4f90io."
