=== test/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
 # Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070427 $
+# Tag Name::  $Name: gt4f90io-20070615 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
