=== debian/changelog ===
gt4f90io-g95 (20070615+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 16 Jun 2007 15:43:21 +0900
