=== debian/changelog ===
gt4f90io-g95 (20070620+20070604) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 21 Jun 2007 19:43:58 +0900
