=== debian/changelog ===
gt4f90io-g95 (20070629+20070627) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Jul 2007 02:45:05 +0900
