## gt4f90io-g95 20070711+20070627

=== debian/changelog ===
gt4f90io-g95 (20070711+20070627) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 13 Jul 2007 16:15:58 +0900
