=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #= Makefile for build of gt4f90io library in UNIX like platform
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.38 2007/03/04 19:22:49 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Version::   $Id: Makefile,v 1.40 2007/07/11 13:48:05 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2007. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -31,7 +31,7 @@
       dcdatetimesetcaltype.o dcdatetimesetsecofday.o \
       dcdatetimevalidcaltype.o dcdatetimezone.o \
       dcdatetimetochar.o dcdatetimeputline.o dc_date.o \
-      dc_clock.o \
+      dc_clock.o dc_iounit.o \
       dc_hash.o dc_args.o \
       an_types.o an_generic.o an_file.o an_vartable.o \
       anvarputattrchar.o anvarputattrint.o anvarputattrreal.o \
