=== test/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #= Makefile for gt4f90io/test
 #
 # Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
-# Version::   $Id: Makefile,v 1.20 2007/04/25 16:08:13 morikawa Exp $
-# Tag Name::  $Name: gt4f90io-20070629 $
+# Version::   $Id: Makefile,v 1.22 2007/07/11 13:48:08 morikawa Exp $
+# Tag Name::  $Name: gt4f90io-20070711 $
 # Copyright:: Copyright (C) GFD Dennou Club, 2004-2005. All rights reserved.
 # License::   See COPYRIGHT[link:../../COPYRIGHT]
 #
@@ -23,7 +23,7 @@
 TARGETS=histtest histaxis histget histcopy #histauto
 
 TARGETS_DC=dc_string_test dc_url_test dc_args_test dc_hash_test \
-	dc_date_test dc_clock_test histinquire
+	dc_date_test dc_clock_test dc_iounit_test histinquire
 
 CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) xdifs.log work.pc* \
 	dc_clock_test.tmp \
@@ -34,6 +34,8 @@
 	xhistinquire?.nc \
 	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
 	xhistauto/tmp?_????.nc
+
+CLEANED_DIR=tmp_dc_iounit_test
 
 # End Settings
 ######################################################################
@@ -56,6 +58,10 @@
 	@if [ ! X"$(wildcard $(CLEANED))" = X"" ]; then \
 		echo $(RM) $(wildcard $(CLEANED)) ;\
 		$(RM) $(wildcard $(CLEANED)) ;\
+	fi
+	@if [ ! X"$(wildcard $(CLEANED_DIR))" = X"" ]; then \
+		echo $(RM) -r $(wildcard $(CLEANED_DIR)) ;\
+		$(RM) -r $(wildcard $(CLEANED_DIR)) ;\
 	fi
 
 test: all
