=== debian/changelog ===
gt4f90io-g95 (20070711+20070710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Jul 2007 02:45:04 +0900
