=== debian/changelog ===
gt4f90io-g95 (20070720+20070710) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Jul 2007 21:29:51 +0900
